Linux.by
https://forum.linux.by/

Проблема с установкой программ
https://forum.linux.by/viewtopic.php?f=1&t=10738
Страница 3 из 5

Автор:  grub [ 22 фев 2010, 11:52 ]
Заголовок сообщения:  Re: Проблема с установкой программ

Anti, поделитесь способом. Мало ли, в будущем у кого-то возникнут такие же проблемы.

Автор:  Anti [ 22 фев 2010, 15:20 ]
Заголовок сообщения:  Re: Проблема с установкой программ

Я прописал в /etc/apt/apt.conf

Acquire::http::proxy "http://login:password@proxy:port/";
Acquire::https::proxy "https://login:password@proxy:port/";
Acquire::ftp::proxy "ftp://login:password@proxy:port/";


И в /etc/enviroment

PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games"
http_proxy="http://login:password@proxy:port/"
https_proxy="https://login:password@proxy:port/"
ftp_proxy="ftp://login:password@proxy:port/"


Автор:  Nyshtyak [ 22 фев 2010, 16:09 ]
Заголовок сообщения:  Re: Проблема с установкой программ

Второй части было бы достаточно

Автор:  Anti [ 26 фев 2010, 18:22 ]
Заголовок сообщения:  Re: Проблема с установкой программ

А вот теперь новая проблема. Посоветовали мне ICQ клиент qutIM. С его установкой возникли проблемы:
sudo apt-get install qutim
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
E: Не удалось найти пакет qutim
Захожу на packages.ubuntu.com, скачиваю оттуда пакет. При установке он мне пишет, что нет пакета libqt4-network (>= 4:4.6.0). Захожу в менеджер пакетов, ввожу название и вижу, что libqt4-network установлен, но версия (= 4.5.3really4.5.2-0ubuntu1). Флажок "для обновления" не ставится, sudo apt-get upgrade libqt4-network говорит, что уже установлена новейшая версия.
Добавил в /etc/apt/sources.list deb http://cz.archive.ubuntu.com/ubuntu lucid main, как раз то, что и предлагал мне ввести сайт в обмен на скачивание всех пакетов вручную. Обновил список пакетов, но ситуация не исправилась. :( Вручную скачал libqt4-network 4:4.6.1, установил, установщик qutim пишет что ему не хватает ещё одного пакета и т.д. В итоге потребовал пакет, который также не обновлялся, а удаление старого влекло за собой, наверное, удаление половины вообще всех установленых пакетов, если не больше. :shock: Так как всё-таки установить эту программу?

Автор:  Ларин [ 26 фев 2010, 18:35 ]
Заголовок сообщения:  Re: Проблема с установкой программ

http://www.qutim.org/linux

Автор:  Nyshtyak [ 27 фев 2010, 12:13 ]
Заголовок сообщения:  Re: Проблема с установкой программ

Перед тем, как что-то обновлять, нужно обновить список пакетов с зеркала.
apt-get update

Автор:  Virgil [ 03 мар 2010, 11:29 ]
Заголовок сообщения:  Re: Проблема с установкой программ

В GNU/Linux нельзя использовать очень старые версии программ, если всё время обновляешь дистрибутивы и ПО? Тогда не будут удоволетворены зависимости? Например, я использую всегда последние версии, скажем, Ubuntu/Mint/SUSE. И пытаюсь установить туда самую первую версию OpenOffice или Thunderbird. Они не встанут? Ведь им нужны какие-то пакеты для удоволетворения зависимостей, а эти пакеты новых версий, и будет несовместимость?

Автор:  Nyshtyak [ 03 мар 2010, 11:50 ]
Заголовок сообщения:  Re: Проблема с установкой программ

А зачем, собственно?

Автор:  Virgil [ 03 мар 2010, 12:09 ]
Заголовок сообщения:  Re: Проблема с установкой программ

Вдруг новые версии какой-то определённой программы окажутся хуже старых... В Windows я уже с таким сталкивался.

Автор:  IceMan [ 03 мар 2010, 12:47 ]
Заголовок сообщения:  Re: Проблема с установкой программ

Для этого можно использовать песочницу на основе chroot/openvz. Накладные расходы будут минимальны.

Автор:  Virgil [ 03 мар 2010, 16:08 ]
Заголовок сообщения:  Re: Проблема с установкой программ

Получается, GNU/Linux - очень неавтономная операционная система? Если использовать страрую версию дистрибутива, то ничего нельзя обновлять. Всё будет работать изкаробки. Как только задумаешь полезть в Интернет за обновлениями, сразу выяснится, что для удовлетворения зависимостей придётся обновить почти всё ПО, почти все пакеты, а то и версию дисрибутива... Так? То есть - либо пользуйся старьём во всём, либо получай последнее, что есть в репозиториях. Это просто размышления такие...

Автор:  dg333 [ 03 мар 2010, 17:55 ]
Заголовок сообщения:  Re: Проблема с установкой программ

Virgil, а навошта нешта абнаўляць, калі ўсё працуе?

Автор:  Virgil [ 03 мар 2010, 19:19 ]
Заголовок сообщения:  Re: Проблема с установкой программ

Я не понимаю... :|

Автор:  Nyshtyak [ 03 мар 2010, 19:31 ]
Заголовок сообщения:  Re: Проблема с установкой программ

Да, вот такая вот гадкая эта ОС.

Автор:  grub [ 03 мар 2010, 19:44 ]
Заголовок сообщения:  Re: Проблема с установкой программ

Virgil, если обновлять старую версию, она перестанет быть старой версией. Это совершенно очевидная логика, и архитектура ОС тут ни при чем.

Если же Вы имеете в виду, что Вам хочется обновлять только отдельные группы пакетов (или наоборот, не обновлять отдельные группы пакетов), то это можно сделать в определенных пределах. Но для начала придется разобраться с aptitude howto.

Страница 3 из 5 Часовой пояс: UTC + 3 часа
Powered by phpBB® Forum Software © phpBB Group
https://www.phpbb.com/